declare const _default: {
    name: string;
    props: {
        position: {
            type: StringConstructor;
            default: string;
        };
        backgroundColor: {
            type: StringConstructor;
            default: string;
        };
        icon: {
            type: (ObjectConstructor | StringConstructor)[];
            default: string;
        };
        resetTime: {
            type: (StringConstructor | NumberConstructor)[];
            default: number;
        };
        animated: {
            type: BooleanConstructor;
            default: boolean;
        };
        tiny_mode: StringConstructor;
        tiny_mode_root: BooleanConstructor;
        tiny_template: (ObjectConstructor | FunctionConstructor)[];
        tiny_renderless: FunctionConstructor;
        tiny_theme: StringConstructor;
        tiny_chart_theme: ObjectConstructor;
    };
    setup(props: any, context: any): () => any;
};
export default _default;
